Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Altera_Forum
Honored Contributor I
1,136 Views

About Error:Run SOPC Builder to Qsys Upgrade

When i use the Qsys (Quartus 11.0)to implement my design, after i insert SSRAM & Flash IP Core, i met the errors as follows: 

 

Error: System.cfi_flash_0: Instances with SOPC Avalon-MM Tristate interfaces must be upgraded. Run SOPC Builder to Qsys Upgrade.  

Error: System.ssram_0: Instances with SOPC Avalon-MM Tristate interfaces must be upgraded. Run SOPC Builder to Qsys Upgrade.  

 

But the solution of run the "System\Run SOPC Builder to Qsys Upgrade" can not solve this problem. I wanna your help. Thanks! 

 

 

 

See the error picture in attachment.
0 Kudos
3 Replies
Altera_Forum
Honored Contributor I
63 Views

I just went through this. You have to use the tristate conduit control. There are some PDFs describing how to do this, but you will have to search. I can't find the links now. 

 

I spent a week getting QSYS to compile with an existing SOPC design and in the end I ran into flash programming problems and on another brand new design it wouldn't even run in the debugger. There were may errors and workarounds that you have to discover. I would suggest staying away from Qsys and stay with SOPC until a few more release. Hopefully they will get more bugs ironed out in a year or so. It just wasn't worth the trouble for me to continue beating on it.
Altera_Forum
Honored Contributor I
63 Views

Thank you first. I find one solution to debug this error today:  

 

:-P Solution: In Qsys, ssram & CFI Flash will be transfer to 'Generic Tri-state Controller', so i just need add two 'Generic Tri-state Controller' (ssram_controller、flash_controller) to control external ssram&Flash. Surely, i also need "Tri-state Conduit Pin Sharer" & "Tri-state Conduit Bridge". Definitely, compare with SOPC Builder, Qsys can increase the fmax (i have use Qsys 1year, Quartus 10.1 & 11.0), decrease the LEs Usage. If you interest in Qsys's application, you can search my academic paper "Using NOC technology to improve Photoelectric Encoder system for LAMOST spectroscopes" (IEEE ASICON 2011, IEEE Xplorer).
Altera_Forum
Honored Contributor I
63 Views

Hi , 

When i use the Qsys Quartus II 32 bit version 12.0 build Full Version to implement my design, after i insert CFI Flash IP Core, i met the errors as follows: 

Error1: System.cfi_flash: Instances with SOPC Avalon-MM Tristate interfaces must be upgraded. Run SOPC Builder to Qsys Upgrade. 

Error2: System.tri_state_bridge_0.avalon_slave: tri_state_bridge_0.avalon_slave must declare an associated reset 

Error3: System.tri_state_bridge_0 : Instances with SOPC Avalon-MM Tristate interfaces must be upgraded. Run SOPC Builder to Qsys Upgrade.  

 

See the error picture in attachmenthttps://www.alteraforum.com/forum/attachment.php?attachmentid=6633  

 

 

Please help me !!! 

 

asickrishna 

 

 

--- Quote Start ---  

Thank you first. I find one solution to debug this error today:  

 

:-P Solution: In Qsys, ssram & CFI Flash will be transfer to 'Generic Tri-state Controller', so i just need add two 'Generic Tri-state Controller' (ssram_controller、flash_controller) to control external ssram&Flash. Surely, i also need "Tri-state Conduit Pin Sharer" & "Tri-state Conduit Bridge". Definitely, compare with SOPC Builder, Qsys can increase the fmax (i have use Qsys 1year, Quartus 10.1 & 11.0), decrease the LEs Usage. If you interest in Qsys's application, you can search my academic paper "Using NOC technology to improve Photoelectric Encoder system for LAMOST spectroscopes" (IEEE ASICON 2011, IEEE Xplorer). 

--- Quote End ---  

Reply